using adas_core.Domain.Models;
using adas_core.Domain.Models.MongoModels;
using adas_core.Domain.Models.Pumps;

namespace adas_core.Application.Services.Interfaces;

public interface IConfigPumpsService
{
    Task<PumpObservation> Map(PumpObservation obs);
    Task<List<ConfigPumps>?> GetAllPumpConfigs();
    Task<List<ConfigPumpItem>?> GetConfigItems(string id);
    Task<ConfigPumps?> GetPumpConfigById(string id);
    Task<ConfigPumps?> UpdatePumpConfig(ConfigPumps pumpConfig);
    Task<ConfigPumps?> InsertPumpConfig(ConfigPumps pumpConfig);
    Task<bool> DeletePumpConfig(ConfigPumps config);
    Task<ObservatitonRetentionResult?> RetentionActions(PumpObservation obs);
    
}